# Postman

How to set up and access Moment API using Postman

Using Postman to get data from the Moment API only requires settings on the Authorization tab.

## Authorization

For the Type select "Basic Auth"

In the field Username fill out with: apikey

In the field Password provide the API key generated for your user.

![](/files/TDUtGnsXjcuoOVeYcRLl)

## Endpoint/URL

To access the API you will need the company code for your company. This can be found in the URL  when logged in to Moment.

![The name found after team/ is your company code](/files/casmzhRStTR0SOjRlLUm)

### Moment API URL

```
app.moment.team/api/1.0/companies/{COMPANYCODE}/{ENDPOINT}
```

Replace {COMPANYCODE} with your company code&#x20;

Replace {ENDPOINT} with the endpoint you want to work with.

E.g. to get a list of all customers use a GET request with the following URL:

<https://app.moment.team/api/1.0/companies/{COMPANYCODE}/customers>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.milientsoftware.com/help/developers/api/authorization/postman.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
